unit neg;

interface
uses Windows,GLScene, GLVectorFileObjects, GLObjects,
GLCadencer, GLWin32Viewer, GLMisc, GLTexture, jpeg,
Graphics, GLThorFX,GLFireFX,Geometry,VectorTypes,keyboard;

type TCustomShip=class
private
  fmodel:TFreeForm;
public
  property model:TFreeForm read fmodel write fmodel;
  procedure LoadModel(path:String);
  procedure LoadTexture(path:String);
  constructor Create(cadencer:TGLCadencer);
end;
implementation
procedure TCustomShip.LoadModel(path:String);
begin
  fmodel.LoadFromFile(path);
end;

procedure TCustomShip.LoadTexture(path:String);
begin
  fmodel.Material.Texture.Image.LoadFromFile(path);
  fmodel.Material.Texture.TextureMode:=tmModulate;
  fmodel.Material.Texture.Enabled:=True;
end;

constructor TCustomShip.Create(cadencer:TGLCadencer);
begin
  fmodel:=TFreeForm(cadencer.Scene.Objects.AddNewChild(TFreeForm));
  fmodel.Scale.Scale(0.01);
end;

end.
 